Subject: Business Air News Bulletin - May 30, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 31 May 2023 05:01:11 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Weston refreshes brand identity

Weston's existing branding is now 15 years old, and the company believes that the look and feel needs updating, but also wanted something strong and clear that would take it into the next 15 years of its journey.

ExecuJet branches out in Germany with Kurz FBO deal

Kurz Aviation Service brings 25 years of experience and local expertise to a new partnership with ExecuJet, which will combine perfectly with ExecuJet's extensive industry knowledge and global FBO network.

Chartright completes FBO expansion in Southern Ontario

The upgrade of its Region of Waterloo facility marks a significant milestone for Chartright as it expands its operations to better serve the industry's growing demands and its growing clientele.

Dassault highlights continuous investment and upgrading of MRO network

Dassault Aviation is continuing to expand and modernise its global maintenance repair and overhaul network and to direct more resources towards authorised service facilities.

Assure SAF by 4Air traces fuel back to the source

The Assure SAF Registry serialises each unit of fuel and is linked to a specific owner and batch of SAF. This ensures that only one owner can ever claim a specific quantity of fuel and that sustainability is communicated.

Jetex strikes deal with 360 on SAF booking

The new 360 Green Fuel Book and Claim system allows Jetex customers to source SAF based on their total aviation footprint in one transaction, rather than sourcing through each location individually.

To unsubscribe, please contact [email-masked].